package com.weather.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 产品存储ftp
 * </p>
 *
 * @author feng
 * @since 2023-09-05
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="WeaRotaInfo对象", description="值班表")
public class WeaRotaInfo implements Serializable {

    private static final long serialVersionUID = 1L;



    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    @ApiModelProperty(value = "值班人id")
    private String rotaPersonId;


    @ApiModelProperty(value = "密码")
    private String rotaDate;

    @ApiModelProperty(value = "用户名")
    private String name;

    @ApiModelProperty(value = "值班表名")
    private String rotaName;

    @ApiModelProperty(value = "创建人id")
    private Long createId;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新人id")
    private Long updateId;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
    public String getRotaDate() {
        return rotaDate;
    }

    public void setRotaDate(String rotaDate) {
        this.rotaDate = rotaDate;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getUpdateId() {
        return updateId;
    }

    public void setUpdateId(Long updateId) {
        this.updateId = updateId;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
    public String getRotaPersonId() {
        return rotaPersonId;
    }

    public void setRotaPersonId(String rotaPersonId) {
        this.rotaPersonId = rotaPersonId;
    }

    public String getRotaName() {
        return rotaName;
    }

    public void setRotaName(String rotaName) {
        this.rotaName = rotaName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("rotaPersonId", getRotaPersonId())
                .append("rotaDate", getRotaDate())
                .append("name", getName())
                .append("rotaName", getRotaName())
                .append("createId", getCreateId())
                .append("createTime", getCreateTime())
                .append("updateId", getUpdateId())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
